# Contributing to Material clock

based on [Xelaj styleguides](https://github.com/xelaj/birch/blob/master/CONTRIBUTING.md).

**english** [русский](https://github.com/xelaj/flutter_material_clock/blob/master/doc/ru_RU/CONTRIBUTING.md)

🌚🌚 First of all, thanks for your helping! 🌝🌝

This page briefly describes the process of developing both the specific Material clock package and all Xelaj projects. if you read all these rules, you will be the best helper in the whole wild west!

## Code of conduct

We all want make other people happy! We believe that you are a good guy, but please, just in case, read our [code of conduct](https://github.com/xelaj/flutter_material_clock/blob/master/doc/en_US/CODE_OF_CONDUCT.md). They will help you understand what ideals we adhere to, among other things, you will be even more cool!

By joining our community, you automatically agree to our rules _(even if you have not read them!)_. and if you saw their violation somewhere, write to rcooper.xelaj@protnmail.com, we will help!

## I don't want to read anything, I have a question!

> **Just remind:** you just don’t need to ask anything right to issues, okay? just not necessary. you will quickly solve your problem if you find the answer below

We have the official Xelaj chat in Telegram: [@xelaj_developers](http://t.me/xelaj_developers). In this chat you can promptly clarify the information of interest to you.

And we also actually want to do [FAQ](https://github.com/xelaj/flutter_material_clock/blob/master/doc/en_US/FAQ.md), but we don’t know what questions to write there, so , if you are reading this, probably write while in the Telegram, we'll figure it out :)

## What do I need to know before I can help?

`¯\_(ツ)_/¯`

## And how can I help?

### For example, report a bug.

#### before reporting a bug:

* Look for issues with a bug / bug label, it is likely that it has already been reported.
* **even if you found issue**: describe your situation in the comments of issue, attach logs, backup database, just do not duplicate issues.

### You can still offer a new feature:

We love to add new features! Use the New Feature issues template and fill in all the fields. Attaching labels is also very important!

### and you can immediately offer a pull request!

Here it is up to you, the only thing is: we are more willing to take pull requests based on a specific issue (i.e. created pull request based on issue #100500 or something like this) This will help us understand what problem your request solves.

## Styleguides

### commit comments

* do not write what commits do (❌ — `commit adds ...` ✅ — `added support ...`)
* do not write **who** made a commit (❌ — `I changed ...` ❌ — `our team worked for a long time and created ...`)
* write briefly (no more than 60 characters), everything else - in the description after two (2) new lines
* pour all your misery into the commit description, not the comment (❌ — `fool, forgot to delete ...` ✅ — `removed ...`)
* use prefixes, damn it! in general, we love emoji, so attach emoji:
    * 🎨 `:art:` if you added a new method to the API.
    * 📝 `:memo:` if you added documentation (**pay attention!** if you write documentation for the commit you made, you do not need to make a separate commit with the documentation!)
    * 👕 `:shirt:` if the build process was updated
    * 💊 `:pill:` minor updates, fixes in one letter in the documentation, etc. not affecting the operation of the code
    * 🐛 `:bug:` bug fixes!
    * 🔒 `:lock:` if this is a security bug
    * 🔀 `:twisted_rightwards_arrows:` merge commits. any
    * 🏇 `:racehorse:` refactoring code
    * ✅ `:white_check_mark:` work with tests
    * 🔥 `:fire:` if you delete (irrevocably!) any part of the service: code, file, configs, whatever.