# Contributing to Material clock

based on [Xelaj styleguides](https://github.com/xelaj/birch/blob/master/CONTRIBUTING.md).

[english](https://github.com/xelaj/flutter_material_clock/blob/master/doc/en_US/CONTRIBUTING.md) **русский**

🌚🌚 В первую очередь, спасибо, что уделяете время нашему проекту! 🌝🌝

эта статья вкратце описывает процесс разработки как конкретно библиотеки Material clock, так и всех проектов Xelaj. если вы прочтете все эти правила, вы будете лучшим помощником на всем диком западе!

## Правила поведения

Все мы хотим другим людям только добра! Мы верим, что вы хороший человек, но, пожалуйста, на всякий случай, почитайте наши [правила поведения](https://github.com/xelaj/flutter_material_clock/blob/master/doc/ru_RU/CODE_OF_CONDUCT.md). Они помогут вам понять, каких идеалов мы придерживаемся, ко всему прочему вы будете еще более классным!

Присоединяясь к нашему сообществу, вы автоматически соглашаетесь с нашими правилами _(даже если вы их не читали!)_. а если вы где-то увидели их нарушение, напишите на rcooper.xelaj@protnmail.com, мы все исправим!

## Я не хочу ничего читать, у меня есть вопрос!

> **Просто напомним:** вот только не нужно спрашивать сразу в issues, окей? просто не надо. вы быстрее решите свою проблему, если найдете ответ ниже

У нас есть официальный чат Xelaj в Telegram: [@xelaj_developers](http://t.me/xelaj_developers). В нем вы можете оперативно уточнить интересующую вас информацию.

А еще мы вообще-то хотим сделать [ЧеКаво](https://github.com/xelaj/flutter_material_clock/blob/master/doc/ru_RU/FAQ.md), но не знаем, какие вопросы туда писать, так что, если вы это читаете, наверное, пишите пока в телегу, там разберемся :)

## Что мне нужно знать, перед тем, как я буду помогать?

`¯\_(ツ)_/¯`

## А как вообще я могу помочь?

### Например, сообщить о баге.

#### перед тем, как сообщать о баге:

* посмотрите issues с лейблом баг/bug, есть вероятнось, что о нем уже сообщили.
* **это не отменяет того, что вы можете помочь!!!**: в комментариях опишите свою ситуацию, прикрепите логи, бэкап бд, важно лишь не дублировать issues.

### Можно еще предложить новую фичу:

Мы любим добавлять новые возможности! Воспользуйтесь шаблоном для issues "Новая фича" и заполните все поля. Прикрепить лейблы так же очень важно!

### а можно сразу предложить пулл реквест!

Здесь уже на ваше усмотрение, единственное: мы охотнее принимаем пулл реквесты, основаные на конкретном ишью (т.е. в описании пулл реквеста пишите "основано на issue #100500".) это поможет нам понять, какую проблему вообще решает ваш реквест.

## Styleguides

### комментарии к коммитам

* не пишите что делает коммит (❌—`коммит добавляет ...` ✅—`добавлена поддержка ...`)
* не пишите **кто** сделал коммит (❌—`я изменил ...` ❌—`наша команда долго трудилась и создала ...`)
* пишите кратко (не более 60 символов), все остальное — в описание через две (2) новые строки
* выливайте все свои страдания в описание коммита, а не комментарий (❌—`я дурак, забыл удалить ...` ✅—`удалено ...`)
* используйте префиксы, черт возьми! вообще мы любим эмоджи, поэтому прикрепляйте эмоджи:
  * 🎨 `:art:` если вы добавили новый метод к API.
  * 📝 `:memo:` если добавили документацию (**обратите внимание!** если вы пишете документацию для коммита, который вы сделали, не нужно делать отдельный коммит с документацией!)
  * 👕 `:shirt:` если обновили процесс сборки
  * 💊 `:pill:` минорные обновления, фиксы в одну букву в документации и др. т.е. не влияющие на работу кода
  * 🐛 `:bug:` баг фиксы!
  * 🔒 `:lock:` если это багфикс, связаный с безопасностью
  * 🔀 `:twisted_rightwards_arrows:` мердж коммиты. любые.
  * 🏇 `:racehorse:` рефакторинг кода
  * ✅ `:white_check_mark:` работа с тестами
  * 🔥 `:fire:` если вы удаляете (безвозвратно!) какую либо часть сервиса: код, файл, конфиги, что угодно.
